com.microsoft.sqlserver.jdbc

## Class SQLServerColumnEncryptionCertificateStoreProvider

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.SQLServerColumnEncryptionKeyStoreProvider
  - - com.microsoft.sqlserver.jdbc.SQLServerColumnEncryptionCertificateStoreProvider

    public final class SQLServerColumnEncryptionCertificateStoreProvider
    extends SQLServerColumnEncryptionKeyStoreProvider

### Constructor Summary

Constructors
Constructor and Description
`SQLServerColumnEncryptionCertificateStoreProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `decryptColumnEncryptionKey(String masterKeyPath, String encryptionAlgorithm, byte[] encryptedColumnEncryptionKey)`
`byte[]` `encryptColumnEncryptionKey(String masterKeyPath, String encryptionAlgorithm, byte[] plainTextColumnEncryptionKey)`
`String` `getName()`
`void` `setName(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SQLServerColumnEncryptionCertificateStoreProvider

    public SQLServerColumnEncryptionCertificateStoreProvider()

### Method Detail

#### setName

    public void setName(String name)

Specified by:
  `setName` in class `SQLServerColumnEncryptionKeyStoreProvider`

#### getName

    public String getName()

Specified by:
  `getName` in class `SQLServerColumnEncryptionKeyStoreProvider`

#### encryptColumnEncryptionKey

    public byte[] encryptColumnEncryptionKey(String masterKeyPath,
                                             String encryptionAlgorithm,
                                             byte[] plainTextColumnEncryptionKey)
                                      throws SQLServerException

Specified by:
  `encryptColumnEncryptionKey` in class `SQLServerColumnEncryptionKeyStoreProvider`
Throws:
  `SQLServerException`

#### decryptColumnEncryptionKey

    public byte[] decryptColumnEncryptionKey(String masterKeyPath,
                                             String encryptionAlgorithm,
                                             byte[] encryptedColumnEncryptionKey)
                                      throws SQLServerException

Specified by:
  `decryptColumnEncryptionKey` in class `SQLServerColumnEncryptionKeyStoreProvider`
Throws:
  `SQLServerException`